;O'REILLY RA, AGGELER PM. STUDIES ON COUMARIN ANTICOAGULANT DRUGS
;INITIATION OF WARFARIN THERAPY WITHOUT A LOADING DOSE.
;CIRCULATION 1968;38:169-177
;
;O'REILLY RA, AGGELER PM, LEONG LS. STUDIES OF THE COUMARIN ANTICOAGULANT
;DRUGS: THE PHARMACODYNAMICS OF WARFARIN IN MAN.
;JOURNAL OF CLINICAL INVESTIGATION 1963;42(10):1542-1551
;

$PROB WARFARIN PK
$DATA warfpk2.csv IGNORE=#
$INPUT ID TIME WT AGE SEX CMT AMT RATE DVID DV MDV
$EST MAX=9990 SIG=3 PRINT=1 METHOD=COND INTERACTION
$COV

$THETA
(0.01,0.132,) ; CL
(0.01,7.87,)  ; V
(0.01,1.24,) ; KA
(0,0.772,) ; TLAG
(0,1.91, ) ; TK0
(0.01,0.1,.999) ; FK0

$OMEGA
0.0849 ; PPVCL
0.0479 ; PPVV
0.894 ; PPVKA
0.162 ; PPVTLAG
0.12 ; PPVTK0
0 FIX ; PPVFK0

$SIGMA 
0.00894 ; RUVCV
0.0489 ; RUVSD

$SUBR ADVAN2 TRANS2

$PK

   ; COVARIATE MODEL
   GRPCL=THETA(1)
   GRPV=THETA(2)
   GRPKA=THETA(3)
   GRPLAG=THETA(4)
   GRPTK0=THETA(5)
   GRPFK0=THETA(6)

   ; MODEL FOR RANDOM BETWEEN SUBJECT VARIABILITY
   CL=GRPCL*EXP(ETA(1))
   V=GRPV*EXP(ETA(2))
   KA=GRPKA*EXP(ETA(3))
   TLAG=GRPLAG*EXP(ETA(4))
   TK0=GRPTK0*EXP(ETA(5))
   FK0=GRPFK0*EXP(ETA(6))

   ; SCALE CONCENTRATIONS
   S2=V
   ALAG1=TLAG
   ALAG2=TLAG
   D2=TK0 ; Duration of zero-order input
   F1=1-FK0 ; Fraction absorbed by first-order
   F2=FK0 ; Fraction absorbed by zero-order

$ERROR
   Y=F*EXP(EPS(1))+EPS(2)

$TABLE ID TIME AMT WT SEX AGE CL V KA TLAG TK0 FK0 DVID Y
ONEHEADER NOPRINT FILE=warf.fit




